Add libsasl2-modules in "recommends" of kmail package?

Asked by Matthieu Lagouge on 2021-01-12

Hi all !

I've installed kmail as a dependency on kde-desktop, and it didn't come with libsasl2-modules.

I just spent some hours figuring out why kmail would not be able to send emails through my personal server, this involved finding commands to get akonadi logs, finding an error there:

sasl client start fail
no worthy mech

and then figuring out it needed the package libasl2-modules to work.

This is certainly not user-friendly.

So may I propose to add libsasl2-modules in the list of recommended package to kmail?
I don't think it should get into dependencies, as kmail runs without it.

But I may miss a good reason it's not there already? (couldn't find any reference to sasl in kmail bug reports).

Thanks!

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
2021-01-12
Last reply:
2021-01-12

I suggest you report a bug. You can start the process with:

ubuntu-bug kmail

Can you help with this problem?

Provide an answer of your own, or ask Matthieu Lagouge for more information if necessary.

To post a message you must log in.